summaryrefslogtreecommitdiffstats
path: root/desktop/ratpoison/ratpoison.SlackBuild
diff options
context:
space:
mode:
author Grigorios Bouzakis2010-05-11 22:22:04 +0200
committer David Somero2010-05-11 22:22:04 +0200
commitba1cbad252a9364c62ccd54945ad004cac5238ab (patch)
tree6d036b380a30b4977ff5c9e468117faddf461074 /desktop/ratpoison/ratpoison.SlackBuild
parent84d6b0fc39b5665f0115d8548c8d0681aa75ae53 (diff)
downloadslackbuilds-ba1cbad252a9364c62ccd54945ad004cac5238ab.tar.gz
desktop/ratpoison: Updated for version 1.4.3
Diffstat (limited to 'desktop/ratpoison/ratpoison.SlackBuild')
-rw-r--r--desktop/ratpoison/ratpoison.SlackBuild82
1 files changed, 41 insertions, 41 deletions
diff --git a/desktop/ratpoison/ratpoison.SlackBuild b/desktop/ratpoison/ratpoison.SlackBuild
index 0d0439438e..44a97c4e69 100644
--- a/desktop/ratpoison/ratpoison.SlackBuild
+++ b/desktop/ratpoison/ratpoison.SlackBuild
@@ -2,81 +2,81 @@
# Slackware build script for ratpoison
-# Copyright 2006 Martin Lefebvre (dadexter@gmail.com)
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-# Modified by the SlackBuilds.org project
+# Written by Grigorios Bouzakis (grbzks@gmail.com)
PRGNAM=ratpoison
-VERSION=1.4.1
+VERSION=${VERSION:-1.4.3}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Set the terminal emulater to be used as default by ratpoison
-# The default is xterm if it's not specified in ./configure, so
-# we'll leave it that way here. You can specify rxvt or something
-# else if you wish
-XTERM=${XTERM:-xterm}
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
-rm -rf $PKG
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README TODO"
+
+set -e
+
+rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R a-s,u+rw,go+r-w .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+
+# Set the terminal emulator to be used as default by ratpoison
+# The default is xterm if it's not specified in ./configure, so
+# we'll leave it that way here. You can specify rxvt or something
+# else if you wish
+XTERM=${XTERM:-xterm}
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --with-x \
- --with-xterm=$XTERM \
- || exit 1
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-xterm=$XTERM
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
-gzip -9 $PKG/usr/info/*.info
-rm $PKG/usr/info/dir
+mv $PKG/usr/share/info $PKG/usr/
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
mv $PKG/usr/share/doc/ratpoison/* $PKG/usr/doc/$PRGNAM-$VERSION
rm -rf $PKG/usr/share/doc
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install